Oracle Version 19c Upgrade Requirement

By May 14, 2020 May 22nd, 2020 New Feature

Apparel21 has begun developing features and functions on the latest Oracle database version 19c.

The full impact of the mandatory Oracle version upgrade requirement will apply towards the end of the year when Apparel21 version 2020.3 is released and specifically applies to customers who are on Oracle versions 11 and 12. At this time and with the exception of customers who are already on version 12.2, all customers who wish to upgrade to Apparel21 version 2020.3 are first required to have their Oracle database version upgrade to version 19c.

As Apparel21 wishes to provide our customers ample time to manage their upgrade plans we will ensure the upcoming versions of Apparel21 are backwards compatible with Oracle version 19c and as explained in the below table.

Apparel21 Version Oracle Version
Apparel21 version 2020 (available now) Compatible with Oracle 11, 12 and 12.2
Apparel21 version 2020.1 (to be released Week commencing 18th May 2020) Compatible with Oracle 11, 12, 12.2 and 19c
Apparel21 version 2020.2 (due Q3) Compatible with Oracle 11, 12, 12.2 and 19c
Apparel21 version 2020.3 (due Q4 Compatible with Oracle 12.2 and 19c

What to you need to do?

Plan an Oracle version upgrade if you plan on upgrading to Apparel21 version 2020.3 at the end of the year.

What if I don’t upgrade my Oracle version?

You will not be able to upgrade to Apparel21 version 2020.3 and beyond until you have upgraded. Version 2020.3 and future versions of Apparel21 are co-dependent on Oracle version 19c as there are new functionality within Oracle that we can take advantage of

If you have any questions, please contact your Account Manager.